Summary:        API to interact with the python pyproject.toml based projects
Name:           python-pyproject-api
Version: 1.5.1
Release: 1%{?dist}

License:        MIT
URL:            https://pyproject-api.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/p/pyproject-api/pyproject_api-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: python3-devel pyproject-rpm-macros


%description
API to interact with the python pyproject.toml based projects.

%package -n     python3-pyproject-api
Summary:        %{summary}

%description -n python3-pyproject-api
API to interact with the python pyproject.toml based projects.

%prep
%autosetup -n pyproject_api-%{version}
sed -i "/covdefaults/d;/pytest-cov/d" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyproject_api


%check
%pytest -k "not (test_can_build_on_python_2 or test_setuptools_prepare_metadata_for_build_wheel or test_result_missing)"

%files -n python3-pyproject-api -f %{pyproject_files}
%license LICENSE
%doc README.md
%{python3_sitelib}/pyproject_api-%{version}.dist-info/

%changelog
* Sun Oct 08 2023 cunshunxia <cunshunxia@tencent.com> - 1.5.1-1
- initial build
